#### Previous topic

scipy.signal.medfilt

#### Next topic

scipy.signal.wiener

# scipy.signal.medfilt2d

`scipy.signal.``medfilt2d`(input, kernel_size=3)

  Median filter a 2-dimensional array.

  Apply a median filter to the input array using a local window-size given by kernel_size (must be odd).

  Parameters:

  input : array_like

  > A 2-dimensional input array.

  kernel_size : array_like, optional

  > A scalar or a list of length 2, giving the size of the median filter window in each dimension. Elements of kernel_size should be odd. If kernel_size is a scalar, then this scalar is used as the size in each dimension. Default is a kernel of size (3, 3).

  Returns:

  out : ndarray

  > An array the same size as input containing the median filtered result.